package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * BatchSiteCopyVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class BatchSiteCopyVo   {
  @JsonProperty("sourceSiteId")
  private String sourceSiteId;

  @JsonProperty("targetSiteNum")
  private Integer targetSiteNum;

  @JsonProperty("siteNamePrefix")
  private String siteNamePrefix;

  public BatchSiteCopyVo sourceSiteId(String sourceSiteId) {
    this.sourceSiteId = sourceSiteId;
    return this;
  }

  /**
   * Source site ID to be copied.
   * @return sourceSiteId
  */
  @ApiModelProperty(required = true, value = "Source site ID to be copied.")
  @NotNull


  public String getSourceSiteId() {
    return sourceSiteId;
  }

  public void setSourceSiteId(String sourceSiteId) {
    this.sourceSiteId = sourceSiteId;
  }

  public BatchSiteCopyVo targetSiteNum(Integer targetSiteNum) {
    this.targetSiteNum = targetSiteNum;
    return this;
  }

  /**
   * Site num to be created should between 1 and 300.
   * @return targetSiteNum
  */
  @ApiModelProperty(required = true, value = "Site num to be created should between 1 and 300.")
  @NotNull


  public Integer getTargetSiteNum() {
    return targetSiteNum;
  }

  public void setTargetSiteNum(Integer targetSiteNum) {
    this.targetSiteNum = targetSiteNum;
  }

  public BatchSiteCopyVo siteNamePrefix(String siteNamePrefix) {
    this.siteNamePrefix = siteNamePrefix;
    return this;
  }

  /**
   * Site name prefix, new sites name will use this prefix. Parameter [siteNamePrefix] should be 1 - 128 ASCII characters.
   * @return siteNamePrefix
  */
  @ApiModelProperty(required = true, value = "Site name prefix, new sites name will use this prefix. Parameter [siteNamePrefix] should be 1 - 128 ASCII characters.")
  @NotNull


  public String getSiteNamePrefix() {
    return siteNamePrefix;
  }

  public void setSiteNamePrefix(String siteNamePrefix) {
    this.siteNamePrefix = siteNamePrefix;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchSiteCopyVo batchSiteCopyVo = (BatchSiteCopyVo) o;
    return Objects.equals(this.sourceSiteId, batchSiteCopyVo.sourceSiteId) &&
        Objects.equals(this.targetSiteNum, batchSiteCopyVo.targetSiteNum) &&
        Objects.equals(this.siteNamePrefix, batchSiteCopyVo.siteNamePrefix);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sourceSiteId, targetSiteNum, siteNamePrefix);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchSiteCopyVo {\n");
    
    sb.append("    sourceSiteId: ").append(toIndentedString(sourceSiteId)).append("\n");
    sb.append("    targetSiteNum: ").append(toIndentedString(targetSiteNum)).append("\n");
    sb.append("    siteNamePrefix: ").append(toIndentedString(siteNamePrefix)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

